$(document).ready(function() {

    $('.save-menu').on('click', function () {

        var inputs = [];

        $(':input:checked').map(function () {

            inputs.push({
                    'recipe_id':$(this).val(),
                    'option': $(this).attr('data-option'),
                    'day_week': $(this).attr('data-day')
                });
        });


        $.ajax({
            url: "menupersonalizado/update",
            type: "POST",
            method:"post",
            data: {
                input: inputs

            },
            success: function (data) {

                if(data != "" && data != 0){
                    // Modal success
                    $('#modalSuccess').modal('show');
                }else{
                    // Modal error
                }

                setTimeout(function(){
                    location.reload();
                }, 2000);

            }
        })

    });

});